## percona-pgbouncer 1.15.0

=== debian/changelog ===
percona-pgbouncer (1.15.0-2) unstable; urgency=medium

  * Update to new pgbouncer version 1.15.0

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 20 May 2021 12:51:47 +0000

percona-pgbouncer (1.15.0-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 20 May 2021 12:51:47 +0000

## percona-pgbouncer 1.16.1

=== doc/Makefile ===
-include ../config.mak

manpages = pgbouncer.1 pgbouncer.5

dist_man_MANS = $(manpages)

EXTRA_DIST = config.md usage.md Makefile $(manpages) \
	     frag-config-man.md frag-usage-man.md \
	     filter.py

CLEANFILES = pgbouncer_1.md pgbouncer_5.md

# make maintainer-clean removes those
MAINTAINERCLEANFILES = $(manpages)

SUBLOC = doc
abs_top_srcdir ?= $(CURDIR)/..
include $(abs_top_srcdir)/lib/mk/antimake.mk

export PACKAGE_VERSION

pgbouncer.%: pgbouncer_%.md
	$(PANDOC) -s -t man -o $@ $<

pgbouncer_1.md: filter.py frag-usage-man.md usage.md
	$(PYTHON) $^ >$@

pgbouncer_5.md: filter.py frag-config-man.md config.md
	$(PYTHON) $^ >$@

.INTERMEDIATE: pgbouncer_1.md pgbouncer_5.md

web:
	$(MAKE) -C ../../pgbouncer.github.io

=== debian/changelog ===
percona-pgbouncer (1.16.1-2) unstable; urgency=medium

  * Update to new pgbouncer version 1.16.1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Wed, 15 Dec 2021 15:51:30 +0000

percona-pgbouncer (1.16.1-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 15 Dec 2021 15:51:30 +0000

## percona-pgbouncer 1.17.0

=== Makefile ===

include config.mak

bin_PROGRAMS = pgbouncer

pgbouncer_SOURCES = \
	src/admin.c \
	src/client.c \
	src/dnslookup.c \
	src/hba.c \
	src/janitor.c \
	src/loader.c \
	src/main.c \
	src/objects.c \
	src/pam.c \
	src/pktbuf.c \
	src/pooler.c \
	src/proto.c \
	src/sbuf.c \
	src/scram.c \
	src/server.c \
	src/stats.c \
	src/system.c \
	src/takeover.c \
	src/util.c \
	src/varcache.c \
	src/common/base64.c \
	src/common/saslprep.c \
	src/common/scram-common.c \
	src/common/unicode_norm.c \
	src/common/wchar.c \
	include/admin.h \
	include/bouncer.h \
	include/client.h \
	include/dnslookup.h \
	include/hba.h \
	include/iobuf.h \
	include/janitor.h \
	include/loader.h \
	include/objects.h \
	include/pam.h \
	include/pktbuf.h \
	include/pooler.h \
	include/proto.h \
	include/sbuf.h \
	include/scram.h \
	include/server.h \
	include/stats.h \
	include/system.h \
	include/takeover.h \
	include/util.h \
	include/varcache.h \
	include/common/base64.h \
	include/common/pg_wchar.h \
	include/common/postgres_compat.h \
	include/common/saslprep.h \
	include/common/scram-common.h \
	include/common/unicode_combining_table.h \
	include/common/unicode_norm.h \
	include/common/unicode_norm_table.h

pgbouncer_CPPFLAGS = -Iinclude $(CARES_CFLAGS) $(LIBEVENT_CFLAGS) $(TLS_CPPFLAGS)

# include libusual sources directly
AM_FEATURES = libusual
pgbouncer_EMBED_LIBUSUAL = 1

# docs to install as-is
dist_doc_DATA = README.md NEWS.md etc/pgbouncer.ini etc/userlist.txt

DISTCLEANFILES = config.mak config.status lib/usual/config.h config.log

DIST_SUBDIRS = doc test
dist_man_MANS = doc/pgbouncer.1 doc/pgbouncer.5

# files in tgz
EXTRA_DIST = AUTHORS COPYRIGHT Makefile config.mak.in config.sub config.guess \
	     install-sh autogen.sh configure configure.ac \
	     etc/mkauth.py etc/optscan.sh etc/example.debian.init.sh \
	     win32/Makefile \
	     $(LIBUSUAL_DIST)

# libusual files (FIXME: list should be provided by libusual...)
LIBUSUAL_DIST = $(filter-out %/config.h, $(sort $(wildcard \
		lib/usual/*.[chg] \
		lib/usual/*/*.[ch] \
		lib/m4/*.m4 \
		lib/usual/config.h.in \
		lib/mk/*.mk \
		lib/mk/antimake.mk lib/mk/antimake.txt \
		lib/mk/install-sh lib/mk/std-autogen.sh \
		lib/README lib/COPYRIGHT \
		lib/find_modules.sh )))

pgbouncer_LDFLAGS := $(TLS_LDFLAGS)
pgbouncer_LDADD := $(CARES_LIBS) $(LIBEVENT_LIBS) $(TLS_LIBS) $(LIBS)
LIBS :=

#
# win32
#

EXTRA_pgbouncer_SOURCES = win32/win32support.c win32/win32support.h win32/win32ver.rc
EXTRA_PROGRAMS = pgbevent
ifeq ($(PORTNAME),win32)
pgbouncer_CPPFLAGS += -Iwin32
pgbouncer_SOURCES += $(EXTRA_pgbouncer_SOURCES)
bin_PROGRAMS += pgbevent
endif

pgbevent_SOURCES = win32/pgbevent.c win32/eventmsg.rc \
		   win32/eventmsg.mc win32/MSG00001.bin
pgbevent_EXT = .dll
pgbevent_LINK = $(CC) -shared -Wl,--export-all-symbols -Wl,--add-stdcall-alias -o $@ $^

# .rc->.o
AM_LANGUAGES = RC
AM_LANG_RC_SRCEXTS = .rc
AM_LANG_RC_COMPILE = $(WINDRES) $< -o $@ --include-dir=$(srcdir)/win32 --include-dir=lib
AM_LANG_RC_LINK = false

#
# now load antimake
#

USUAL_DIR = lib

abs_top_srcdir ?= $(CURDIR)
include $(abs_top_srcdir)/lib/mk/antimake.mk

config.mak:
	@echo "Please run ./configure"
	@exit 1

check: all
	etc/optscan.sh
	$(MAKE) -C test check

w32zip = $(PACKAGE_TARNAME)-$(PACKAGE_VERSION)-windows-$(host_cpu).zip
zip: $(w32zip)

$(w32zip): pgbouncer.exe pgbevent.dll etc/pgbouncer.ini etc/userlist.txt README.md COPYRIGHT
	rm -rf $(basename $@)
	mkdir $(basename $@)
	cp $^ $(basename $@)
	$(STRIP) $(addprefix $(basename $@)/,$(filter %.exe %.dll,$(^F)))
	zip -MM $@ $(addprefix $(basename $@)/,$(filter %.exe %.dll,$(^F)))
# NB: zip -l for text files for end-of-line conversion
	zip -MM -l $@ $(addprefix $(basename $@)/,$(filter-out %.exe %.dll,$(^F)))

.PHONY: tags
tags:
	ctags src/*.c include/*.h lib/usual/*.[ch] lib/usual/*/*.[ch]

htmls:
	for f in *.md doc/*.md; do \
		mkdir -p html && $(PANDOC) $$f -o html/`basename $$f`.html; \
	done

doc/pgbouncer.1 doc/pgbouncer.5:
	$(MAKE) -C doc

=== debian/changelog ===
percona-pgbouncer (1.17.0-1) unstable; urgency=medium

  * Update to new pgbouncer version 1.17.0

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Tue, 31 May 2022 22:24:33 +0000

percona-pgbouncer (1.17.0-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 31 May 2022 22:24:33 +0000

## percona-pgbouncer 1.19.1

=== Makefile ===
--- 
+++ 
@@ -66,7 +66,12 @@
 pgbouncer_EMBED_LIBUSUAL = 1
 
 # docs to install as-is
-dist_doc_DATA = README.md NEWS.md etc/pgbouncer.ini etc/userlist.txt
+dist_doc_DATA = README.md NEWS.md \
+	etc/pgbouncer-minimal.ini \
+	etc/pgbouncer.ini \
+	etc/pgbouncer.service \
+	etc/pgbouncer.socket \
+	etc/userlist.txt
 
 DISTCLEANFILES = config.mak config.status lib/usual/config.h config.log
 
@@ -75,6 +80,7 @@
 
 # files in tgz
 EXTRA_DIST = AUTHORS COPYRIGHT Makefile config.mak.in config.sub config.guess \
+	     pyproject.toml requirements.txt \
 	     install-sh autogen.sh configure configure.ac \
 	     etc/mkauth.py etc/optscan.sh etc/example.debian.init.sh \
 	     win32/Makefile \
@@ -132,8 +138,13 @@
 	@echo "Please run ./configure"
 	@exit 1
 
+PYTEST = $(shell command -v pytest || echo '$(PYTHON) -m pytest')
+
+CONCURRENCY = auto
+
 check: all
 	etc/optscan.sh
+	PYTHONIOENCODING=utf8 $(PYTEST) -n $(CONCURRENCY)
 	$(MAKE) -C test check
 
 w32zip = $(PACKAGE_TARNAME)-$(PACKAGE_VERSION)-windows-$(host_cpu).zip
@@ -158,4 +169,4 @@
 	done
 
 doc/pgbouncer.1 doc/pgbouncer.5:
-	$(MAKE) -C doc
+	$(MAKE) -C doc $(@F)

=== test/Makefile ===

PG_CPPFLAGS = -I$(shell pg_config --includedir)
PG_LIBS = -lpq
PG_LDFLAGS = -L$(shell pg_config --libdir)

USUAL_DIR = ../lib

SUBLOC = test
DIST_SUBDIRS = ssl

EXTRA_DIST = conntest.sh ctest6000.ini ctest7000.ini run-conntest.sh \
	     hba_test.eval hba_test.rules Makefile \
	     test.ini stress.py userlist.txt \
	     __init__.py conftest.py utils.py \
	     test_admin.py test_auth.py test_cancel.py test_limits.py \
	     test_misc.py test_no_database.py test_no_user.py test_operations.py \
	     test_ssl.py test_timeouts.py


noinst_PROGRAMS = hba_test
hba_test_CPPFLAGS = -I../include $(LIBEVENT_CFLAGS)
hba_test_LDADD = $(LIBEVENT_LIBS)
hba_test_CFLAGS = -O0
hba_test_SOURCES = hba_test.c ../src/hba.c ../src/util.c
hba_test_EMBED_LIBUSUAL = 1

EXTRA_PROGRAMS = asynctest
asynctest_CPPFLAGS = -I../include $(PG_CPPFLAGS) $(LIBEVENT_CFLAGS)
asynctest_LDFLAGS = $(PG_LDFLAGS)
asynctest_LDADD = $(PG_LIBS) $(LIBEVENT_LIBS)
asynctest_SOURCES = asynctest.c
asynctest_EMBED_LIBUSUAL = 1

AM_FEATURES = libusual


include ../config.mak
include ../lib/mk/antimake.mk

check: all
	./hba_test

=== debian/changelog ===
percona-pgbouncer (1.19.1-1) unstable; urgency=medium

  * Update to new pgbouncer version 1.19.1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 05 Jun 2023 12:36:52 +0000

percona-pgbouncer (1.19.1-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 05 Jun 2023 12:36:51 +0000

## percona-pgbouncer 1.20.0

=== Makefile ===
--- 
+++ 
@@ -57,9 +57,12 @@
 	include/common/scram-common.h \
 	include/common/unicode_combining_table.h \
 	include/common/unicode_norm.h \
-	include/common/unicode_norm_table.h
+	include/common/unicode_norm_table.h \
+	include/common/uthash_lowercase.h
 
+UTHASH = uthash
 pgbouncer_CPPFLAGS = -Iinclude $(CARES_CFLAGS) $(LIBEVENT_CFLAGS) $(TLS_CPPFLAGS)
+pgbouncer_CPPFLAGS += -I$(UTHASH)/src
 
 # include libusual sources directly
 AM_FEATURES = libusual
@@ -84,7 +87,8 @@
 	     install-sh autogen.sh configure configure.ac \
 	     etc/mkauth.py etc/optscan.sh etc/example.debian.init.sh \
 	     win32/Makefile \
-	     $(LIBUSUAL_DIST)
+	     $(LIBUSUAL_DIST) \
+	     $(UTHASH_DIST) \
 
 # libusual files (FIXME: list should be provided by libusual...)
 LIBUSUAL_DIST = $(filter-out %/config.h, $(sort $(wildcard \
@@ -97,6 +101,9 @@
 		lib/mk/install-sh lib/mk/std-autogen.sh \
 		lib/README lib/COPYRIGHT \
 		lib/find_modules.sh )))
+
+UTHASH_DIST = $(UTHASH)/src/uthash.h \
+              $(UTHASH)/LICENSE
 
 pgbouncer_LDFLAGS := $(TLS_LDFLAGS)
 pgbouncer_LDADD := $(CARES_LIBS) $(LIBEVENT_LIBS) $(TLS_LIBS) $(LIBS)

=== requirements.txt ===
pytest
pytest-asyncio
pytest-timeout
pytest-xdist
psycopg
filelock

=== lib/Makefile ===
AM_CPPFLAGS = -I$(builddir) -I$(srcdir) $(TLS_CPPFLAGS)
AM_LDFLAGS = $(TLS_LDFLAGS)
AM_LIBS = $(TLS_LIBS)

# main target
lib_LTLIBRARIES = libusual.la

# sources that are not always built
EXTRA_libusual_la_SOURCES = usual/pgsocket.h usual/pgsocket.c

internal_headers = usual/pgutil_kwlookup.h \
		   usual/tls/tls_compat.h \
		   usual/tls/tls_internal.h

# sources not in tar.gz
nodist_EXTRA_libusual_la_SOURCES = usual/config.h

# regular source files
libusual_la_SOURCES = usual/config.h.in \
	usual/aatree.h usual/aatree.c \
	usual/base.h usual/base.c usual/base_win32.h \
	usual/bits.h \
	usual/cbtree.h usual/cbtree.c \
	usual/cfparser.h usual/cfparser.c \
	usual/config_msvc.h \
	usual/crypto/chacha.h usual/crypto/chacha.c \
	usual/crypto/csrandom.h usual/crypto/csrandom.c \
	usual/crypto/digest.h usual/crypto/digest.c \
	usual/crypto/entropy.h usual/crypto/entropy.c \
	usual/crypto/hmac.h usual/crypto/hmac.c \
	usual/crypto/keccak.h usual/crypto/keccak.c \
	usual/crypto/keccak_prng.h usual/crypto/keccak_prng.c \
	usual/crypto/md5.h usual/crypto/md5.c \
	usual/crypto/sha1.h usual/crypto/sha1.c \
	usual/crypto/sha256.h usual/crypto/sha256.c \
	usual/crypto/sha512.h usual/crypto/sha512.c \
	usual/crypto/sha3.h usual/crypto/sha3.c \
	usual/ctype.h \
	usual/cxalloc.h usual/cxalloc.c \
	usual/cxextra.h usual/cxextra.c \
	usual/daemon.h usual/daemon.c \
	usual/endian.h \
	usual/err.h usual/err.c \
	usual/fileutil.h usual/fileutil.c \
	usual/fnmatch.h usual/fnmatch.c \
	usual/getopt.h usual/getopt.c \
	usual/hashing/crc32.h usual/hashing/crc32.c \
	usual/hashing/lookup3.h usual/hashing/lookup3.c \
	usual/hashing/memhash.h usual/hashing/memhash.c \
	usual/hashing/siphash.h usual/hashing/siphash.c \
	usual/hashing/spooky.h usual/hashing/spooky.c \
	usual/hashing/xxhash.h usual/hashing/xxhash.c \
	usual/hashtab-impl.h \
	usual/heap.h usual/heap.c \
	usual/json.h usual/json.c \
	usual/list.h usual/list.c \
	usual/logging.h usual/logging.c \
	usual/mbuf.h usual/mbuf.c \
	usual/mdict.h usual/mdict.c \
	usual/mempool.h usual/mempool.c \
	usual/misc.h \
	usual/netdb.h usual/netdb.c \
	usual/pgutil.h usual/pgutil.c usual/pgutil_kwlookup.h \
	usual/psrandom.h usual/psrandom.c \
	usual/pthread.h usual/pthread.c \
	usual/regex.h usual/regex.c \
	usual/safeio.h usual/safeio.c \
	usual/shlist.h \
	usual/signal.h usual/signal.c \
	usual/slab.h usual/slab.c \
	usual/socket.h usual/socket.c usual/socket_ntop.c usual/socket_pton.c usual/socket_win32.h \
	usual/statlist.h \
	usual/string.h usual/string.c \
	usual/strpool.h usual/strpool.c \
	usual/talloc.h usual/talloc.c \
	usual/time.h usual/time.c \
	usual/tls/tls.h usual/tls/tls.c usual/tls/tls_internal.h \
	usual/tls/tls_compat.h usual/tls/tls_compat.c usual/tls/tls_peer.c \
	usual/tls/tls_client.c usual/tls/tls_config.c usual/tls/tls_ocsp.c \
	usual/tls/tls_server.c usual/tls/tls_util.c usual/tls/tls_verify.c \
	usual/tls/tls_cert.h usual/tls/tls_cert.c usual/tls/tls_conninfo.c \
	usual/utf8.h usual/utf8.c \
	usual/wchar.h usual/wchar.c

# we want to filter headers, so cannot use usual install method via _HEADERS
USUAL_HEADERS = $(filter-out $(internal_headers), \
		$(filter %.h,$(libusual_la_SOURCES) $(nodist_EXTRA_libusual_la_SOURCES)))

# define aclocal destination
aclocaldir = ${datarootdir}/aclocal
AM_DESTINATIONS = aclocal

# other files
dist_pkgdata_SCRIPTS = find_modules.sh
dist_aclocal_DATA = m4/usual.m4 m4/antimake.m4

# test program for link-test
noinst_PROGRAMS = test/compile
test_compile_SOURCES = test/compile.c
test_compile_LDADD = libusual.la
test_compile_LIBS = $(TLS_LIBS)

# extra clean files
DISTCLEANFILES = config.log build.mk config.status libtool config.mak
MAINTAINERCLEANFILES = build.mk.in configure install-sh ltmain.sh config.sub config.guess

# files for .tgz that are not mentioned in sources
EXTRA_DIST = $(MAINTAINERCLEANFILES)

# we dont build test subdir by default, but want to include in .tgz
DIST_SUBDIRS = test

# non-recursive subdir
EMBED_SUBDIRS = mk

#
# Launch Antimake
#
include build.mk

# filter headers when installing
install-local:
	@$(MKDIR_P) $(DESTDIR)$(includedir)/usual
	@$(MKDIR_P) $(DESTDIR)$(includedir)/usual/hashing
	@$(MKDIR_P) $(DESTDIR)$(includedir)/usual/crypto
	@$(MKDIR_P) $(DESTDIR)$(includedir)/usual/tls
	@for hdr in $(USUAL_HEADERS); do \
		echo Filtering $$hdr; \
		$(SED) -f mk/safe-headers.sed $$hdr \
		> $(DESTDIR)$(includedir)/$$hdr; \
	done

# Give proper error message
build.mk:
	@echo "Please run ./configure first"
	@exit 1

%.pc: %.pc.in config.status
	./config.status --file $@

# run sparse over code
sparse: config.mak
	REAL_CC="$(CC)" \
	$(MAKE) clean libusual.a CC="cgcc -Wsparse-all -Wno-transparent-union"

# generate api documentation
dox:
	rm -rf doc/html/mk
	#rm -rf mk/temos/html
	doxygen doc/Doxyfile
	$(MAKE) -C mk/temos html
	cp -rp mk/temos/html doc/html/mk

#
# rest is for pgutil_kwlookup generation
#

PG_CONFIG ?= pg_config
KWLIST = $(shell $(PG_CONFIG) --includedir-server)/parser/kwlist.h
GPERF = gperf -m5

# requires 8.4+
kws:
	@test -f "$(KWLIST)" || { echo "kwlist.h not found"; exit 1; }
	grep '^PG_KEYWORD' "$(KWLIST)" \
	| grep -v UNRESERVED \
	| sed 's/.*"\(.*\)",.*, *\(.*\)[)].*/\1/' \
	>> usual/pgutil_kwlookup.gp

kwh:
	$(GPERF) usual/pgutil_kwlookup.g \
	| sed '/^#line/d' \
	> usual/pgutil_kwlookup.h

sizes: all
	size `find .objs -name '.libs' -prune -o -name '*.o' -print | sort`

%.s: %.c
	$(CC) -S $(DEFS) $(CFLAGS) $(CPPFLAGS) -I. $< -o - | cleanasm > $@

.PHONY: tags
tags:
	ctags $(libusual_la_SOURCES)

.PHONY: nodoc
nodoc:
	@for hdr in `find usual -name '*.h'`; do \
	  grep -q "$$hdr" doc/mainpage.dox || echo "$$hdr" ; \
	done

check: all
	$(MAKE) -C test check

=== lib/mk/temos/Makefile ===
#
# This Makefile does not use Antimake because it must work
# even when Antimake is broken.
#

TEMOS = \
	antimake1 antimake2 antimake3 antimake4 antimake5 antimake6 \
	libusual1 libusual2 libusual3 libusual4 libusual5 libusual6 \



OUT = $(addsuffix .txt,$(addprefix output/, $(TEMOS)))
HTML = $(addsuffix .html,$(addprefix html/, $(TEMOS))) \
       html/index.html html/antimake.html

ExpFile = $(subst .temo,.txt,$(subst src/,expected/,$(1)))
OutFile = $(subst .temo,.txt,$(subst src/,output/,$(1)))

V ?= 0
ifeq ($(V),0)
E = @echo
Q = @
else
E = @true
Q =
endif

all: qtest

.PHONY: all test ack clean html

html: $(HTML)

am:
	rm -f html/anti*
	$(MAKE)

ftest: clean qtest
qtest: $(OUT)
	@diff -urN expected output > regressions.diff || { \
		cat regressions.diff; \
		echo "FAIL: Result does not match expected output"; \
		exit 1; \
	}
	$(Q) rm -f regressions.diff
	$(E) "All OK"

#../antimake.mk ../../m4/usual.m4
output/%.txt: src/%.temo libtemo.sh
	@mkdir -p output
	@printf "$< ... "
	@bash $< > $@ 2>&1 && { cmp -s $@ $(call ExpFile,$<) && echo ok || echo failed; } \
		|| { echo "$< failed:" ; tail $(call OutFile,$<); exit 1; }

html/%.html: output/%.txt
	@mkdir -p html
	asciidoc -o - $< | grep -v '^Last updated ' > $@

ack:
	cp output/*.txt expected/

clean:
	rm -rf tmp html output regressions.diff

html/index.html: index.txt
	@mkdir -p html
	asciidoc -o - $< | grep -v '^Last updated ' > $@

html/antimake.html: ../antimake.txt
	@mkdir -p html
	asciidoc -a toc -o - $< | grep -v '^Last updated ' > $@

=== debian/changelog ===
percona-pgbouncer (1.20.0-1) unstable; urgency=medium

  * Update to new pgbouncer version 1.20.0

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-10329>  Sun, 20 Aug 2023 12:39:25 +0000

percona-pgbouncer (1.20.0-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Sun, 20 Aug 2023 12:39:24 +0000

=== debian/tests/control ===
Tests: connect
Depends: @, postgresql
Restrictions: needs-root, allow-stderr

## percona-pgbouncer 1.20.1

=== debian/changelog ===
percona-pgbouncer (1.20.1-1) unstable; urgency=medium

  * Update to new pgbouncer version 1.20.1

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-10997>  Fri, 15 Sep 2023 17:31:29 +0000

percona-pgbouncer (1.20.1-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 15 Sep 2023 17:31:29 +0000

=== debian/control ===
Source: percona-pgbouncer
Maintainer: Percona Development Team <info@percona.com>
Section: database
Priority: optional
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 debhelper,
 libevent-dev (>= 1.3b),
 libpam0g-dev | libpam-dev,
 libssl-dev,
 libc-ares-dev (>> 1.12),
 libpq-dev,
 pkg-config,
 pandoc,
 percona-postgresql-16,
 python3
Homepage: https://www.pgbouncer.org/


Package: percona-pgbouncer
Architecture: any
Depends:
 lsb-base (>= 3.1),
 percona-postgresql-common | postgresql-common,
 ${misc:Depends},
 ${shlibs:Depends}
Provides: pgbouncer, percona-pgbouncer
Suggests: python3, python3-psycopg2
Enhances: postgresql (>= 7.4)
Description: lightweight connection pooler for PostgreSQL
 PgBouncer is a lightweight connection pooler for PostgreSQL providing the
 following features:
 .
  * Several levels of brutality when rotating connections: session pooling,
    transaction pooling, statement pooling.
  * Low memory requirements.
  * It is not tied to one backend server, the destination databases
    can reside on different hosts.
  * Supports online reconfiguration for most of the settings.
  * Supports online restart/upgrade.

#dbg#Package: percona-pgbouncer-dbg
#dbg#Section: debug
#dbg#Architecture: any
#dbg#Depends: percona-pgbouncer (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
#dbg#Provides: pgbouncer-dbg, percona-pgbouncer-dbg
#dbg#Description: debug symbols for pgbouncer
#dbg# PgBouncer is a lightweight connection pooler for PostgreSQL providing the
#dbg# following features:
#dbg# .
#dbg#  * Several levels of brutality when rotating connections: session pooling,
#dbg#    transaction pooling, statement pooling.
#dbg#  * Low memory requirements.
#dbg#  * It is not tied to one backend server, the destination databases
#dbg#    can reside on different hosts.
#dbg#  * Supports online reconfiguration for most of the settings.
#dbg#  * Supports online restart/upgrade.
#dbg# .
#dbg# This package contains debug symbols for pgbouncer.

## percona-pgbouncer 1.21.0

=== Makefile ===
--- 
+++ 
@@ -10,12 +10,14 @@
 	src/hba.c \
 	src/janitor.c \
 	src/loader.c \
+	src/messages.c \
 	src/main.c \
 	src/objects.c \
 	src/pam.c \
 	src/pktbuf.c \
 	src/pooler.c \
 	src/proto.c \
+	src/prepare.c \
 	src/sbuf.c \
 	src/scram.c \
 	src/server.c \
@@ -37,11 +39,13 @@
 	include/iobuf.h \
 	include/janitor.h \
 	include/loader.h \
+	include/messages.h \
 	include/objects.h \
 	include/pam.h \
 	include/pktbuf.h \
 	include/pooler.h \
 	include/proto.h \
+	include/prepare.h \
 	include/sbuf.h \
 	include/scram.h \
 	include/server.h \
@@ -151,7 +155,11 @@
 
 check: all
 	etc/optscan.sh
-	PYTHONIOENCODING=utf8 $(PYTEST) -n $(CONCURRENCY)
+	if [ $(CONCURRENCY) = 1 ]; then \
+		PYTHONIOENCODING=utf8 $(PYTEST); \
+	else \
+		PYTHONIOENCODING=utf8 $(PYTEST) -n $(CONCURRENCY); \
+	fi
 	$(MAKE) -C test check
 
 w32zip = $(PACKAGE_TARNAME)-$(PACKAGE_VERSION)-windows-$(host_cpu).zip
@@ -177,3 +185,36 @@
 
 doc/pgbouncer.1 doc/pgbouncer.5:
 	$(MAKE) -C doc $(@F)
+
+lint:
+	flake8
+
+format-check: uncrustify
+	black --check .
+	isort --check .
+	./uncrustify -c uncrustify.cfg --check include/*.h src/*.c -L WARN
+
+format: uncrustify
+	$(MAKE) format-c
+	$(MAKE) format-python
+
+format-python: uncrustify
+	black .
+	isort .
+
+format-c: uncrustify
+	./uncrustify -c uncrustify.cfg --replace --no-backup include/*.h src/*.c -L WARN
+
+UNCRUSTIFY_VERSION=0.77.1
+
+uncrustify:
+	temp=$$(mktemp -d) \
+		&& cd $$temp \
+		&& curl -L https://github.com/uncrustify/uncrustify/archive/refs/tags/uncrustify-$(UNCRUSTIFY_VERSION).tar.gz --output uncrustify.tar.gz \
+		&& tar xzf uncrustify.tar.gz \
+		&& cd uncrustify-uncrustify-$(UNCRUSTIFY_VERSION) \
+		&& mkdir -p build \
+		&& cd build \
+		&& cmake .. \
+		&& $(MAKE) \
+		&& cp uncrustify $(CURDIR)/uncrustify

=== debian/changelog ===
percona-pgbouncer (1.21.0-1) unstable; urgency=medium

  * Update to new pgbouncer version 1.21.0

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-14137>  Fri, 24 Nov 2023 15:26:31 +0000

percona-pgbouncer (1.21.0-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 24 Nov 2023 15:26:31 +0000

## percona-pgbouncer 1.22.0

=== debian/changelog ===
percona-pgbouncer (1.22.0-1) unstable; urgency=medium

  * Update to new pgbouncer version 1.22.0

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-16496>  Wed, 21 Feb 2024 20:55:11 +0000

percona-pgbouncer (1.22.0-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 21 Feb 2024 20:55:11 +0000

## percona-pgbouncer 1.22.1

=== test/Makefile ===
--- 
+++ 
@@ -12,14 +12,15 @@
 	     hba_test.eval hba_test.rules Makefile \
 	     test.ini stress.py userlist.txt \
 	     __init__.py conftest.py utils.py \
-	     test_admin.py test_auth.py test_cancel.py test_limits.py \
+	     test_admin.py test_auth.py test_cancel.py test_copy.py test_limits.py \
 	     test_misc.py test_no_database.py test_no_user.py test_operations.py \
-	     test_ssl.py test_timeouts.py
+	     test_peering.py test_prepared.py test_ssl.py test_timeouts.py
 
 
+UTHASH = ../uthash
 noinst_PROGRAMS = hba_test
-hba_test_CPPFLAGS = -I../include $(LIBEVENT_CFLAGS)
-hba_test_LDADD = $(LIBEVENT_LIBS)
+hba_test_CPPFLAGS = -I../include $(LIBEVENT_CFLAGS) -I$(UTHASH)/src
+hba_test_LDADD = $(LIBEVENT_LIBS) $(TLS_LIBS)
 hba_test_CFLAGS = -O0
 hba_test_SOURCES = hba_test.c ../src/hba.c ../src/util.c
 hba_test_EMBED_LIBUSUAL = 1

=== debian/changelog ===
percona-pgbouncer (1.22.1-1) unstable; urgency=medium

  * Update to new pgbouncer version 1.22.1

 -- root <root@5fc91315afa6>  Mon, 13 May 2024 11:01:13 +0000

percona-pgbouncer (1.22.1-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 13 May 2024 11:01:13 +0000

## percona-pgbouncer 1.23.1

=== uthash/tests/Makefile ===
#CC=clang
HASHDIR = ../src
UTILS = emit_keys
PROGS = test1 test2 test3 test4 test5 test6 test7 test8 test9   \
        test10 test11 test12 test13 test14 test15 test16 test17 \
        test18 test19 test20 test21 test22 test23 test24 test25 \
        test26 test27 test28 test29 test30 test31 test32 test33 \
        test34 test35 test36 test37 test38 test39 test40 test41 \
        test42 test43 test44 test45 test46 test47 test48 test49 \
        test50 test51 test52 test53 test54 test55 test56 test57 \
        test58 test59 test60 test61 test62 test63 test64 test65 \
        test66 test67 test68 test69 test70 test71 test72 test73 \
        test74 test75 test76 test77 test78 test79 test80 test81 \
        test82 test83 test84 test85 test86 test87 test88 test89 \
        test90 test91 test92 test93 test94 test95 test96 test97
CFLAGS += -I$(HASHDIR)
#CFLAGS += -DHASH_BLOOM=16
#CFLAGS += -O2
CFLAGS += -g
#CFLAGS += -Wstrict-aliasing=2
CFLAGS += -Wall
#CFLAGS += -Wextra
#CFLAGS += -std=c89
CFLAGS += ${EXTRA_CFLAGS}

ifeq ($(HASH_DEBUG),1)
CFLAGS += -DHASH_DEBUG=1
endif

ifeq ($(HASH_PEDANTIC),1)
CFLAGS += -pedantic
endif

TEST_TARGET=run_tests
TESTS=./do_tests

# detect Cygwin
ifneq ($(strip $(shell $(CC) -v 2>&1 |grep "cygwin")),)
  TESTS=./do_tests.cygwin
endif

# detect MinGW
ifneq ($(strip $(shell $(CC) -v 2>&1 |grep "mingw")),)
  TEST_TARGET=run_tests_mingw
  TESTS=./do_tests.mingw
endif

#detect Linux (platform specific utilities)
ifneq ($(strip $(shell $(CC) -v 2>&1 |grep "linux")),)
  PLAT_UTILS = hashscan sleep_test
endif

#detect FreeBSD (platform specific utilities)
ifeq ($(strip $(shell uname -s)), FreeBSD)
  ifeq ($(shell if [ `sysctl -n kern.osreldate` -ge 0801000 ]; then echo "ok"; fi), ok)
    PLAT_UTILS = hashscan sleep_test
  endif
endif

all: $(PROGS) $(UTILS) $(PLAT_UTILS) keystat $(TEST_TARGET)

tests_only: $(PROGS) $(TEST_TARGET)

GITIGN = .gitignore
MKGITIGN = [ -f "$(GITIGN)" ] || echo "$(GITIGN)" > $(GITIGN); grep -q '^\$@$$' $(GITIGN) || echo "$@" >> $(GITIGN)

debug:
	$(MAKE) all HASH_DEBUG=1

pedantic:
	$(MAKE) all HASH_PEDANTIC=1

cplusplus:
	CC="$(CXX) -x c++" $(MAKE) all

thorough:
	$(MAKE) clean && $(MAKE) all EXTRA_CFLAGS='-pedantic'
	$(MAKE) clean && $(MAKE) all EXTRA_CFLAGS='-pedantic -DHASH_BLOOM=16'
	$(MAKE) clean && $(MAKE) tests_only EXTRA_CFLAGS='-pedantic -DHASH_BLOOM=16 -DHASH_DEBUG -DNO_DECLTYPE'
	$(MAKE) clean && CC="$(CXX) -x c++" $(MAKE) all EXTRA_CFLAGS='-pedantic'
	$(MAKE) clean && CC="$(CXX) -x c++" $(MAKE) all EXTRA_CFLAGS='-pedantic -DHASH_BLOOM=16'
	$(MAKE) clean && CC="$(CXX) -x c++" $(MAKE) tests_only EXTRA_CFLAGS='-pedantic -DHASH_BLOOM=16 -DHASH_DEBUG -DNO_DECLTYPE'

example: example.c $(HASHDIR)/uthash.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $(@).c

$(PROGS) $(UTILS) : $(HASHDIR)/uthash.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $(@).c
	@$(MKGITIGN)

hashscan : $(HASHDIR)/uthash.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $(@).c
	@$(MKGITIGN)

sleep_test : $(HASHDIR)/uthash.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -DHASH_BLOOM=16 $(LDFLAGS) -o $@ $(@).c
	@$(MKGITIGN)

keystat : $(HASHDIR)/uthash.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -DHASH_FUNCTION=HASH_BER $(LDFLAGS) -o keystat.BER keystat.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -DHASH_FUNCTION=HASH_FNV $(LDFLAGS) -o keystat.FNV keystat.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -DHASH_FUNCTION=HASH_JEN $(LDFLAGS) -o keystat.JEN keystat.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -DHASH_FUNCTION=HASH_OAT $(LDFLAGS) -o keystat.OAT keystat.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -DHASH_FUNCTION=HASH_SAX $(LDFLAGS) -o keystat.SAX keystat.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -DHASH_FUNCTION=HASH_SFH $(LDFLAGS) -o keystat.SFH keystat.c

run_tests: $(PROGS)
	perl $(TESTS)

run_tests_mingw: $(PROGS)
	/bin/bash do_tests.mingw

astyle:
	astyle -n --style=kr --indent-switches --add-brackets *.c

.PHONY: clean astyle

clean:
	rm -f $(UTILS) $(PLAT_UTILS) $(PROGS) test*.out keystat.??? example hashscan sleep_test *.exe $(GITIGN)
	rm -rf *.dSYM

=== debian/changelog ===
percona-pgbouncer (1.23.1-2) unstable; urgency=medium

  * Update to new pgbouncer version 1.23.1

 -- root <root@b772c74bc723>  Fri, 08 Nov 2024 07:56:12 +0000

percona-pgbouncer (1.23.1-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 08 Nov 2024 07:56:12 +0000

## percona-pgbouncer 1.24.0

=== win32/Makefile ===
# create eventmsg.rc + MSG*.bin
eventmsg.rc: eventmsg.mc
	mc.exe eventmsg.mc

=== debian/changelog ===
percona-pgbouncer (1.24.0-1) unstable; urgency=medium

  * Update to new pgbouncer version 1.24.0

 -- root <root@b6b87a5cf9ff>  Fri, 14 Feb 2025 09:27:51 +0000

percona-pgbouncer (1.24.0-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 14 Feb 2025 09:27:51 +0000

## percona-pgbouncer 1.24.1

=== lib/Makefile ===
--- 
+++ 
@@ -157,20 +157,14 @@
 
 PG_CONFIG ?= pg_config
 KWLIST = $(shell $(PG_CONFIG) --includedir-server)/parser/kwlist.h
-GPERF = gperf -m5
 
 # requires 8.4+
 kws:
 	@test -f "$(KWLIST)" || { echo "kwlist.h not found"; exit 1; }
-	grep '^PG_KEYWORD' "$(KWLIST)" \
-	| grep -v UNRESERVED \
-	| sed 's/.*"\(.*\)",.*, *\(.*\)[)].*/\1/' \
-	>> usual/pgutil_kwlookup.gp
+	./mk/gen-pgutil_kwlookup_gp.sh "$(KWLIST)" >> usual/pgutil_kwlookup.gp
 
-kwh:
-	$(GPERF) usual/pgutil_kwlookup.g \
-	| sed '/^#line/d' \
-	> usual/pgutil_kwlookup.h
+kwh: usual/pgutil_kwlookup.g
+	./mk/gen-pgutil_kwlookup_h.sh $^ > usual/pgutil_kwlookup.h
 
 sizes: all
 	size `find .objs -name '.libs' -prune -o -name '*.o' -print | sort`

=== uthash/tests/lru_cache/Makefile ===
CC=gcc

CFLAGS+=-W -Werror -Wall -Wextra -std=c99 \
	-D_FORTIFY_SOURCE=2 -fstack-protector -g \
	-Wformat=2 -pedantic -pedantic-errors \
	-D_GNU_SOURCE=1 -D_BSD_SOURCE=1 \
	-I../../src

LDFLAGS+=-pthread

cache: main.o cache.o
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) main.o cache.o -o cache

main.o: main.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c main.c -o main.o

cache.o: cache.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c cache.c -o cache.o

clean:
	rm -f cache *.o

=== debian/changelog ===
percona-pgbouncer (1.24.1-2) unstable; urgency=medium

  * Update to new pgbouncer version 1.24.1

 -- root <root@c19bb2e17bca>  Thu, 21 Aug 2025 12:30:43 +0000

percona-pgbouncer (1.24.1-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 21 Aug 2025 12:30:43 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  libpq-dev,
  pkg-config,
  pandoc,
- percona-postgresql-16,
  python3
 Homepage: https://www.pgbouncer.org/
